Package com.avaya.clientservices.contact

## Class ContactSearchRequest

- java.lang.Object
- - com.avaya.clientservices.contact.ContactSearchRequest

-     public final class ContactSearchRequest
      extends java.lang.Object

  Encapsulates search parameters for performing enhanced contact search.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ContactSearchRequest​(java.lang.String nameSearchString, java.lang.String locationSearchString, java.lang.String departmentSearchString)` | Constructs ContactSearchRequest object with default number of results.
    `ContactSearchRequest​(java.lang.String nameSearchString, java.lang.String locationSearchString, java.lang.String departmentSearchString, int maxResults, int maxChunkSize)` | Constructs ContactSearchRequest object.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getDepartmentSearchString()` |
    `java.lang.String` | `getLocationSearchString()` |
    `int` | `getMaxChunkSize()` |
    `int` | `getMaxResults()` |
    `java.lang.String` | `getNameSearchString()` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContactSearchRequest

          public ContactSearchRequest​(java.lang.String nameSearchString,
                                      java.lang.String locationSearchString,
                                      java.lang.String departmentSearchString,
                                      int maxResults,
                                      int maxChunkSize)

      Constructs ContactSearchRequest object. At least one search string should be filled in. It is permissible to pass null or empty string into search strings. Validation on parameters will be performed.
      Parameters:
        `nameSearchString` - The search string, name. It could contain words split by space i.e. first name, last name, display name, up to 4 words will be searched.
        `locationSearchString` - The search string, location.
        `departmentSearchString` - The search string, department.
        `maxResults` - The maximum number of results to return.
        `maxChunkSize` - The number of results to return in each update from the server.

    - #### ContactSearchRequest

          public ContactSearchRequest​(java.lang.String nameSearchString,
                                      java.lang.String locationSearchString,
                                      java.lang.String departmentSearchString)

      Constructs ContactSearchRequest object with default number of results. The maximum number of results to return is 50. The number of results to return in each update from the server is 10. At least one search string should be filled in. It is permissible to pass null or empty string into search strings. Validation on parameters will be performed.
      Parameters:
        `nameSearchString` - The search string, name. It could contain words split by space i.e. first name, last name, display name, up to 4 words will be searched.
        `locationSearchString` - The search string, location.
        `departmentSearchString` - The search string, department.

  - ### Method Detail

    - #### getNameSearchString

          public java.lang.String getNameSearchString()

      Returns:
        The search string, name.

    - #### getLocationSearchString

          public java.lang.String getLocationSearchString()

      Returns:
        The search string, location.

    - #### getDepartmentSearchString

          public java.lang.String getDepartmentSearchString()

      Returns:
        The search string, department.

    - #### getMaxResults

          public int getMaxResults()

      Returns:
        The maximum number of results to return.

    - #### getMaxChunkSize

          public int getMaxChunkSize()

      Returns:
        The number of results to return in each update from the server.